io.vertx.redis.op

## Enum GeoUnit

- java.lang.Object
- - java.lang.Enum<GeoUnit>
  - - io.vertx.redis.op.GeoUnit

- All Implemented Interfaces:
    Serializable, Comparable<GeoUnit>

  Deprecated.
  Use `Redis`

      @Deprecated
      public enum GeoUnit
      extends Enum<GeoUnit>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ft` Deprecated. Feet
    `km` Deprecated. Kilometer
    `m` Deprecated. Meter
    `mi` Deprecated. Mile

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GeoUnit` | `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static GeoUnit[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### m

          public static final GeoUnit m

      Deprecated.
      Meter

    - #### km

          public static final GeoUnit km

      Deprecated.
      Kilometer

    - #### mi

          public static final GeoUnit mi

      Deprecated.
      Mile

    - #### ft

          public static final GeoUnit ft

      Deprecated.
      Feet

  - ### Method Detail

    - #### values

          public static GeoUnit[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GeoUnit c : GeoUnit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GeoUnit valueOf(String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Eclipse. All rights reserved.